### Name: dCholCMatrix-class
### Title: Cholesky Decompositions of dsCMatrix Objects
### Aliases: dCholCMatrix-class
### Keywords: classes algebra

### ** Examples

data(mm)
xpx <- crossprod(mm)
str(xpx)
str(ch <- chol(xpx))

## Visualize the sparseness:
image(xpx, main=paste("crossprod(mm) : Sparse",dQuote(class(xpx))))
image(ch, main=paste("chol (crossprod(mm)) : Sparse", dQuote(class(ch))))



