### Name: dsyMatrix-class
### Title: Symmetric, dense matrices
### Aliases: \%*\%,dgeMatrix,dsyMatrix-method
###   \%*\%,dspMatrix,dgeMatrix-method \%*\%,dspMatrix,integer-method
###   \%*\%,dspMatrix,matrix-method \%*\%,dspMatrix,numeric-method
###   \%*\%,dsyMatrix,dgeMatrix-method coerce,dspMatrix,dgeMatrix-method
###   coerce,dspMatrix,dsyMatrix-method coerce,dspMatrix,matrix-method
###   coerce,dsyMatrix,dgeMatrix-method coerce,dsyMatrix,dspMatrix-method
###   coerce,dsyMatrix,matrix-method dspMatrix-class dsyMatrix-class
###   norm,dspMatrix,character-method norm,dspMatrix,missing-method
###   norm,dsyMatrix,character-method norm,dsyMatrix,missing-method
###   rcond,dspMatrix,character-method rcond,dspMatrix,missing-method
###   rcond,dsyMatrix,character-method rcond,dsyMatrix,missing-method
###   solve,dspMatrix,dgeMatrix-method solve,dspMatrix,integer-method
###   solve,dspMatrix,matrix-method solve,dspMatrix,missing-method
###   solve,dspMatrix,numeric-method solve,dsyMatrix,dgeMatrix-method
###   solve,dsyMatrix,matrix-method solve,dsyMatrix,missing-method
###   t,dspMatrix-method t,dsyMatrix-method unpack,dspMatrix-method
### Keywords: classes

### ** Examples

## Only upper triangular part matters (when uplo == "U" as per default)
(sy2 <- new("dsyMatrix", Dim = as.integer(c(2,2)), x = c(14, NA,32,77)))
(c2 <- chol(sy2))
str(c2)

## An example where chol() can't work
(sy3 <- new("dsyMatrix", Dim = as.integer(c(2,2)), x = c(14, -1, 2, -7)))

## gives an error in R <= 2.0.0 :
## Not run: 
##D validObject(as(sy3, "dpoMatrix"), test=TRUE) # >> is not pos.def.
## End(Not run)
try(chol(sy3)) ## Error: not pos.def



